# File di esempio; copialo e cambialo
title: "Gentrop, un generatore di rumore bianco digitale"
text: |
    Quante volte abbiamo bisogno di numeri casuali, sia per delle
    simulaziani che per la generazione di chiavi crittografiche, e quante
    volte ci chiediamo quanto siano veramente "casuali" e non solo "pseudo"
    i numeri genarati dai nostri computer con chiamate a funzioni tipo
    `rand()` o accesso a device tipo `/dev/?random` ?

    Scopo del talk è illustrare come costruirsi un Gentrop, ovvero un
    circuitino elettronico di facile realizzazione da usare come shield per
    arduino e trasformarlo in un generatore di "white noise bits stream" da
    collegare con un cavo usb al nostro computer.

    Verranno illustrati schema elettronico, prototipo su millefori, codice C
    arduino per acquisire/trasmettere il rumore, esempio di codice C linux per
    salvare il rumore su file, alcuni test per valutare la qualità del rumore
    generato.

# Se ancora non è stata assegnata una stanza al talk, commentala. Non usare un valore tipo "qualunque" o
# cose del genere, che ci si incasina tutto
room: A

# duration è la durata in minuti del talk
duration: 90

#RICHIESTA: non sovrapporre a "spazio di comunicazione - no like" e a "canna da pesca"

# Ci vanno le virgolette intorno! altrimenti 17.30 viene interpretato come un numero decimale
time: "18.00"
# 0=giovedì, 1=venerdì, 2=sabato, 3=domenica
day: 1

tags:
    - elettronica
    - hardware
    - arduino
    - linux
    - programmazione in C
    - crittografia
# Devono essere dei link validi!
links:
    - mailto:giodim@autistici.org
# mail dovrebbe contenere un link all'email in lista hackmeeting in cui il talk è stato proposto
# così si può sapere chi contattare e se c'è stata una discussione
# prendi il link da https://lists.autistici.org/list/hackmeeting.en.html
# il campo mail NON è un indirizzo email
mail: "https://lists.autistici.org/message/20180617.143952.0699fcba.en.html"
# contacts invece sono i nomi, o gli indirizzi, delle persone che presentano
contacts:
    - giodim
    - Laboratorio Elettronico Popolare
    - Unit Hacklab
    - Big Fractal

nooverlap: [ondecorte_email, spaziodicomunicazione]

# Devi usare UTF-8, non t'inventare scuse, sappiamo ndo abiti
# vim: set fileencoding=utf-8 ts=4 sw=4 et:
